Subject: "worms eat my garbage"

From: [email-masked]
Date: Wed, 04 Jan 95 12:53:42

According to the Products List in the Classroom Activities guide that
accompanies WORMS EAT MY GARBAGE, this book is available directly from Mary
Appelhof at Flowerfield Enterprises, 10332 Shaver Road, Kalamazoo, Michigan,
49002.  Telephone: 616-327-0108 or Fax: 611-343-4505.  The cost, as of January
1994, was $8.95 plus $1.50 s/h.

This is a great resource--happy vermicomposting!